*===== BOF chconnec.inc ================================================
*   Version 93.01, January, 1993

*   Note: This include, when used, must appear after "Network.inc".

      INTEGER UpBoundaryCode(MaxChannels)
      INTEGER UpNumberOfConnections(MaxChannels)
      INTEGER UpConnection(MaxChannels*MaxConnectingChannels)
      INTEGER DownBoundaryCode(MaxChannels)
      INTEGER DownNumberOfConnections(MaxChannels)
      INTEGER DownConnection(MaxChannels*MaxConnectingChannels)
      INTEGER InitialApprox(MaxChannels)
      INTEGER AdditionalVariables(MaxChannels)
      REAL    dX(MaxChannels)
      LOGICAL KeepAllCx(MaxChannels)
      COMMON /ChannelConnections/
     #          UpBoundaryCode, UpNumberOfConnections,
     #          UpConnection,
     #          DownBoundaryCode, DownNumberOfConnections,
     #          DownConnection,
     #          InitialApprox, AdditionalVariables, dX,
     #          KeepAllCx
      SAVE / ChannelConnections /

*   Definitions:
*        for the current channel i ...
*     UpBoundaryCode(i) - upstream boundary-condition code.
*                         (See codes below.)
*     UpNumberOfConnections(i) - number of channels connected to
*                                upstream end.
*     UpConnection((i-1)*J+k) - number of kth channel connected to
*                               upstream end,
*                               where j = MaxConnectingChannels.
*     DownBoundaryCode(i) - downstream boundary-condition code.
*                           (See codes below.)
*     DownNumberOfConnections(i) - number of channels connected to
*                                  downstream end.
*     DownConnection((i-1)*J+k) - number of kth channel connected to
*                                 downstream end,
*                                 where j = MaxConnectingChannels.
*
*     InitialApprox(i) - initial approximation index, indicating
*                        approximation of intial conditions from:
*         [0] user input (schematic data file),
*         [1] normal depth,
*         [2] steady state,
*         [3] normal depth w/adverse slopes removed,
*         [4] maximum ws elevation for branch,
*         [5] model dependent file, or
*         [6] no approximation attempted.
*
*      AdditionalVariables(i) - number of variables in addition to
*                               watersurface elevation and discharge
*                               (not currently used).
*      dX(i) - desired spacing of computational locations.
*      KeepAllCx(i) - index indicating,
*               [.TRUE.] - keep all user-supplied locations as
*                          computational locations.
*               [.FALSE.] - do not keep intermediate user-supplied
*                           locations as computational locations.
*
*     Boundary-condition codes
*     for upstream and downstream ends of channels:
*
*     [ 1] known water-surface elevation.
*     [ 2] known volumetric discharge.
*     [ 4] self-setting (downstream only).
*     [11] water-surface elevation equal to that of connecting channel.
*     [12] sum of discharges equal zero.
*     [31] 3-parameter rating applied to water-surface elevation.
*     [32] 3-parameter rating applied to discharge.
*     [51] user-programmed, applied to water-surface elevation.
*     [52] user-programmed, applied to discharge.

*===== EOF chconnec.inc ================================================
