*===== BOF chcxrec1.inc ================================================
*   Version 93.01, January, 1993

*   Note: If used, this include must appear after "Network.inc".

      REAL X1(MaxChannels),Width1(MaxChannels),Btm1(MaxChannels)
      REAL X2(MaxChannels),Width2(MaxChannels),Btm2(MaxChannels)
      REAL Eta(MaxChannels)
      CHARACTER*16 UpStreamID(MaxChannels), DownStreamID(MaxChannels)
      COMMON  /ChannelID/ UpStreamID, DownStreamID
      COMMON  /RectangularChannelProperties/
     #        X1,Width1,Btm1,X2,Width2,Btm2,Eta
      SAVE /RectangularChannelProperties/, /ChannelID/

*   Definitions:
*       MaxChannels - maximum number of channels.
*       X1(i)     - downstream reference distance,
*                   at upstream extent of channel "i".
*       Width1(i) - channel width at X(i).
*       Btm1(i)   - channel-bottom elevation at X(i).
*       X2(i)    - downstream reference distance,
*                   at downstream extent of channel "i".
*       Width2(i) - channel width at X(i).
*       Btm2(i)   - channel-bottom elevation at X(i).
*       Eta(i)    - effective Manning's n for channel "i".
*       UpStreamID(i) - character string ID of upstream cross section,
*                       channel i.
*       DownStreamID(i) - character string ID of downstream cross section,
*                         channel i.
*       i         - channel sequence number.


*===== EOF chcxrec1.inc ================================================
