*===== BOF proptrap.inc =====================================================
*   Version 93.01, January, 1993

*   Note: "network.inc" must precede this include.

*     Module data:
        REAL X1(MaxChannels),Width1(MaxChannels),Btm1(MaxChannels),
     *    dWdH1(MaxChannels)
        REAL X2(MaxChannels),Width2(MaxChannels),Btm2(MaxChannels),
     *    dWdH2(MaxChannels)
        REAL Eta(MaxChannels)
        COMMON  /PRPDAT/ X1,Width1,Btm1,dWdH1,X2,Width2,Btm2,dWdH2,Eta
        SAVE /PRPDAT/
        INTEGER fUnit, PrintOption
        CHARACTER*16 FileName
        COMMON / PROPUNIT / fUnit, PrintOption, FileName
        SAVE / PROPUNIT /
        CHARACTER*16 UpStreamID(MaxChannels), DownStreamID(MaxChannels)
        COMMON  /ChannelID/ UpStreamID, DownStreamID


*     Module data:
*       MaxChannels - maximum number of channels. 
*       PrintOption - index for writing to standard output device.
*       X1(i)     - downstream reference distance,
*                   at upstream extent of channel "i".
*       Width1(i) - channel width at X(i).
*       Btm1(i)   - channel-bottom elevation at X1(i).
*       dWdH1(i)     - channel side slope at X1(i).
*       X2(i)     - downstream reference distance,
*                   at downstream extent of channel "i".
*       Width2(i) - channel width at X(i).
*       Btm2(i)   - channel-bottom elevation at X2(i).
*       dWdH2(i)     - channel side slope at X2(i).
*       Eta(i)    - effective Manning's n for channel "i".
*       i         - channel sequence number.
*
*       FileName  - name of a file containing hydraulic properties
*                     appropriate to his module.
*       fUnit     - FORTRAN unit number for the FileName.
*       UpStreamID(i) - character string ID of upstream cross section,
*                       channel i.
*       DownStreamID(i) - character string ID of downstream cross section,
*                       channel i.
*

*===== EOF proptrap.inc ===================================================== 
