*===== BOF chstatus.inc ==================================================
*   Version 93.01, January, 1993

*   Note: This include, if used, must appear after "Network.inc".

      REAL WS(MaxLocations), Q(MaxLocations), H(MaxLocations)
      REAL Rho1(MaxLocations), Rho2(MaxLocations)
      REAL dXBernie(MaxChannels), dXForce(MaxChannels)
      LOGICAL ConvergedSteady(MaxChannels)
      COMMON / ChnlFlowStatus /  WS, Q, H, Rho1, Rho2, dXBernie,
     #                           dXForce, ConvergedSteady
      SAVE / ChnlFlowStatus /

*   Definitions:
*     WS(i) - water surface elevation at computational location "i".
*     Q(i) - volumetric discharge at computational location "i".
*     H(i) - depth of flow at computational location "i".
*     Rho1(i) - density at computational location "i", at the
*               begining of the current time increment.
*     Rho1(i) - density at computational location "i", at the
*               the end of the current time increment.
*     dXBernie(m) - last dX used for for solution of simple
*                   Bernoulli equation to obtain steady initial
*                   conditions.
*     dxForce(m) - last dX used for for solution of simple
*                  specific-force equation to obtain steady initial
*                  conditions.
*     ConvergedSteady(m) - .TRUE. if steady solution converged,
*                           otherwise .FALSE.

*===== EOF chstatus.inc ==================================================
