*===== BOF logcnst.inc ================================================
*   Version 93.01, January, 1993

*   Note: "network.inc" must precede this include.

      INTEGER n
      PARAMETER ( n = 2*MaxChannels )
      INTEGER ID(n)
      REAL    a(n), b(n), Zo(n)

      COMMON  /CoefLogStrmCnst/ ID, a, b, Zo
                      
      SAVE / CoefLogStrmCnst /

*   Definitions:
*
*     ID(i)  - associated boundary-condition code
*             [.....02..]  semilog constraint.
*             [.....03..]  log constraint.
*     a(i)   - coefficient, intercept.
*     b(i)   - coefficient, slope.
*     Zo(i)  - reference datum.
*     i      - relation number.

*                   log constraint
*
*             Z = Zo + a * Q ** b, or
*
*                   semilog constraint
*
*             Z = Zo + a + b * LOG10 ( Q ),
*
*             where Q = discharge, and
*                   Z = water-surface elevation.
*        



*===== EOF logcnst.inc ===============================================
