*===== BOF netbnd =====================================================
*   Version 93.01, January, 1993

*     Note: "network.inc" must appear prior to this include file.

      INTEGER BndValues, NetBndValUnit
      INTEGER Channel(2*MaxChannels)
      INTEGER StartSeconds, dT
      INTEGER OldTime, NewTime, CurrentTime
      REAL Old(2*MaxChannels), New(2*MaxChannels)
      REAL Current(2*MaxChannels),StreamBndValue(2*MaxChannels)
      LOGICAL ReadBoundaryValues
      
      COMMON / NetBndVal / BndValues, NetBndValUnit, Channel,
     #                     StartSeconds, dT,
     #                     OldTime, NewTime, CurrentTime,
     #                     Old, New, Current,StreamBndValue,
     #                     ReadBoundaryValues
      SAVE   / NetBndVal /
      

*   Definitions:
*     BndValues - number of values to be read each time step.
*     NetBndValUnit - FORTRAN unit number.
*     Channel(i) - channel number, + upstream or - downstream end.
*     StartSeconds - starting elapse time, in seconds.
*     dT - boundary-value time-series time increment.
*     OldTime - currently the time corresponding to oldest set of 
*               boundary values in memory.
*     NewTime - currently the time corresponding to newest set of 
*               boundary values in memory.
*     CurrentTime - current Network time, in seconds.
*     Old(i) - boundary values at OldTime.
*     New(i) - boundary values at NewTime.
*     Current(i) - boundary values at CurrentTime.
*     StreamBndValue(k) - boundary value computed from equation, possibly
*                         one upstream and one downstream value,
*                         sequentially, odd "k" are upstream,
*                         even are downstream.
*     ReadBoundaryValues - indicator,
*                          [.TRUE.] read values.
*                          [.FALSE.] don't read values.
*
*===== EOF netbnd =====================================================
