*===== BOF netdense.inc===================================================
*   Version 93.01, January, 1993

*     Note: "network.inc" must appear prior to this include file.

      INTEGER FortranUnit
      INTEGER StartSeconds, dT
      INTEGER OldTime, NewTime, CurrentTime
      REAL Old(2*MaxChannels), New(2*MaxChannels)
      REAL Current(2*MaxChannels),StreamBndValue(2*MaxChannels)
      LOGICAL ReadBoundaryValues
      
      COMMON / NetDense / FortranUnit,
     #                     StartSeconds, dT,
     #                     OldTime, NewTime, CurrentTime,
     #                     Old, New, Current,StreamBndValue,
     #                     ReadBoundaryValues
      SAVE   / NetDense /
      

*   Definitions:
*     FortranUnit - Fortran unit number for density data.
*     StartSeconds - starting elapse time, in seconds.
*     dT - boundary-value time-series time increment.
*     OldTime - currently the time corresponding to oldest set of 
*               boundary values in memory.
*     NewTime - currently the time corresponding to newest set of 
*               boundary values in memory.
*     CurrentTime - current Network time, in seconds.
*     Old(i) - boundary values at OldTime.
*     New(i) - boundary values at NewTime.
*     Current(i) - boundary values at CurrentTime.
*     ReadBoundaryValues - indicator,
*                          [.TRUE.] read values.
*                          [.FALSE.] don't read values.
*
*===== EOF netdense.inc ==================================================
