*===== BOF skyline2.inc ================================================
*   Version 93.01, January, 1993

*   Note: This include, when used, must follow after "Network.inc".

      INTEGER    MASSEQ(MaxLocations), MASSOF(MaxLocations)
      INTEGER    DYNMEQ(MaxLocations), DYNMOF(MaxLocations)
      INTEGER    UpConstraintEq(MaxChannels)
      INTEGER    DownConstraintEq(MaxChannels)
      INTEGER    EqPointer(MaxChannels)
      COMMON /EqSequence/ MASSEQ, MASSOF, DYNMEQ, DYNMOF, EqPointer,
     #                    UpConstraintEq, DownConstraintEq
      SAVE   /EqSequence/

*   Definitions:
*     MASSEQ - number (row of solution matrix) of the conservation of
*              mass equation for a subdomain
*     MASSOF - left offset of the mass equation from the diagonal
*     DYNMEQ - number (row of solution matrix) of the dynamic equation
*              for a subdomain
*     DYNMOF - left offset of the dynamic equation from the diagonal
*     EqPointer(i) - number of first equation in channel i.
*     UpConstraintEq(i) - number (row of solution matrix) for the
*                         upstream boundary constraint for current
*                         channel.
*     DownConstraintEq(i) - number (row of solution matrix) for the
*                           downstreamboundary constraint.

*===== EOF skyline2.inc ================================================
