*===== BOF skyline6.inc ================================================

*   Note: This include, if used, must appear after "skyline3.inc".

      INTEGER HBW
*     PARAMETER ( HBW = 3000 )
      PARAMETER ( HBW = 400 )

      INTEGER*2 S1(2*MaxLocations), S2(2*MaxLocations)

      INTEGER MaxS3, MaxS4
*     PARAMETER ( MaxS3 = 20*MaxLocations )
      PARAMETER ( MaxS3 = 5*MaxLocations )
*     PARAMETER ( MaxS4 = 303*MaxLocations )
      PARAMETER ( MaxS4 = 10*MaxLocations )
      INTEGER S3(MaxS3), S4(MaxS4)

      INTEGER MaxS5
*     PARAMETER ( MaxS5 = 20*MaxLocations )
      PARAMETER ( MaxS5 = 5*MaxLocations )
      INTEGER*2 S5(MaxS5)

      INTEGER*2 S6(2*MaxLocations)

      INTEGER   MaxS7
*     PARAMETER ( MaxS7 = 20*MaxLocations )
      PARAMETER ( MaxS7 = 5*MaxLocations )
      INTEGER S7(MaxS7), S8(MaxS7)

      LOGICAL FirstTime

      COMMON /Skyline6/ S3, S4, S7, S8,
     #                  FirstTime,
     #                  S1, S2, S5, S6
      SAVE   /Skyline6/

*   Definitions:

*     HBW - array dimension used in SetupSolver, should be set at
*           (maximum bandwidth - 1) / 2 .
*     S1(k) - number of rows to be eliminated by row k.
*     S2(k) - number of columns in eliminating row k.
*     S3(i) - subscripts, sequentially, of columns
*                  in eliminating rows.
*     S4(j) - subscripts, sequentially, of corresponding rows
*                  columns in rows to be eliminated.
*     S5(i) - number of row containing the coefficient
*                  currently being eliminated.
*     S6(j) - number of columns to be operated upon for
*                  row j in backsubstitution.
*     S7(i) - subscripts, sequentially, of coefficients
*                  operated upon during back substitution.
*     S8(i) - subscripts, sequentially, of load vector
*                  operated upon during back substitution.
*     FirstTime - index:
*                  .TRUE. - current iteration is the first, or
*                  .FALSE. - current iteration is 2nd or greater.

*===== EOF skyline6.inc ================================================
