*===== BOF strmcnst.inc =================================================
*   Version 93.01, January, 1993

*   Note: "network.inc" must precede this include.

      INTEGER ConnectingExtremity( 1+MaxConnectingChannels )
      INTEGER ConnectingChannels
      INTEGER ConditionCode
      
      REAL ConstraintCoef( 2+2*MaxConnectingChannels )
      REAL ConstraintRightSide
      REAL Discharge( 1+MaxConnectingChannels )
      REAL WSElev( 1+MaxConnectingChannels )
      

      COMMON  /UserConstraintVariables/ ConnectingExtremity,
     #            ConditionCode,
     #            ConnectingChannels, ConstraintCoef,
     #            ConstraintRightSide,
     #            Discharge, WSElev
      SAVE / UserConstraintVariables /

*   Definitions:
*
*     ConditionCode - boundary-condition code.
*
*     ConstraintCoef(i) - implicit constraint-equation coefficients,
*                        multipliers of the following:
*       [1] discharge at constraint cross section,
*       [2] water-surface elevation at constraint cross section,
*       [3] discharge at first connecting node,
*       [4] water-surface elevation at first connecting cross section,
*       [3] discharge at second connecting node,
*       [4] water-surface elevation at second connecting cross section,
*           above pairs repeated for all connecting cross sections...
*          
*     ConstraintRightSide - right-hand side of constraint equation.
*
*     Discharge(i) - current discharge at
*          [1] constraint node
*          [2] connection to first connecting channel,
*          [3] connection to second connecting channel,
*              repeating for all connectioning channels...
*
*     WSElev(i) - current water-surface elevation at
*          [1] constraint node
*          [2] connection to first connecting channel,
*          [3] connection to second connecting channel,
*              repeating for all connectioning channels...
*
*     ConnectingChannels - number of connecting channels
*
*     ConnectingExtremity(i) - index indicating 
*
*          [+1] upstream end of channel, or
*          [-1] downstream end of channel,
*
*             for connecting channel i, where i indicates
*          
*          [1] constraint channel,
*          [2] first connecting channel,
*          [3] second connecting channel,
*              repeating for all channels...
*
*
*     Note discharge sign convention:
*
*     Discharge is considered positive if flowing from upstream
*     to downstream end of channel.  ConnectingExtremity will be
*     +1 for and upstream end and -1 for a downstream end.
*
*===== EOF strmcnst.inc ================================================
